/*
 * Catalog.java
 *
 */
package service;

import model.CafeItem;
import model.CafeTableModel;
import java.util.ArrayList;
import java.util.List;
import javax.jws.WebService;


@WebService
public class CafeCatalog {

        CafeTableModel datasource = new CafeTableModel();
        int maxitem = datasource.getRowCount();
    /**
     * Creates a new instance of Catalog
     */
    public CafeCatalog() {
    }

    public List<CafeItem> getItems(int firstItem, int batchSize) {
        List<CafeItem> list = new ArrayList();
        int items = 0;
        if (maxitem < (firstItem + batchSize )) {
            items = maxitem;
        }else{
            items = firstItem + batchSize ;
        }

    for(int i = firstItem;i < items ; i++ ){
        CafeItem item = new CafeItem();
        item = datasource.getCafeItem(i);
        list.add(item);
    }
        return list;

    }

    public CafeItem getItem(int id){
    CafeItem item = null;
    item = datasource.getCafeItem(id);
    return item;
    }

    public int getItemCount() {
        return maxitem;
    }

    public double  purchase(int id, int quantom){
        CafeItem item = datasource.getCafeItem(id);
        String sPrice = item.getPrice();
        double price = Double.parseDouble(sPrice);
        return price * quantom;
    }
}
